Description: Increase timeouts for tests so they work on slower architectures
Author: Nilesh Patra <nilesh@debian.org>
Last-Update: 2023-01-08
--- a/tests/test_xopen.py
+++ b/tests/test_xopen.py
@@ -293,7 +293,7 @@
         assert appended == reference
 
 
-@pytest.mark.timeout(5)
+@pytest.mark.timeout(15)
 @pytest.mark.parametrize("extension", [".gz", ".bz2", ".xz"])
 def test_truncated_file(extension, create_truncated_file):
     truncated_file = create_truncated_file(extension)
@@ -303,7 +303,7 @@
         f.close()  # pragma: no cover
 
 
-@pytest.mark.timeout(5)
+@pytest.mark.timeout(15)
 @pytest.mark.parametrize("extension", [".gz", ".bz2", ".xz"])
 def test_truncated_iter(extension, create_truncated_file):
     truncated_file = create_truncated_file(extension)
@@ -314,7 +314,7 @@
         f.close()  # pragma: no cover
 
 
-@pytest.mark.timeout(5)
+@pytest.mark.timeout(15)
 @pytest.mark.parametrize("extension", [".gz", ".bz2", ".xz"])
 def test_truncated_with(extension, create_truncated_file):
     truncated_file = create_truncated_file(extension)
@@ -323,7 +323,7 @@
             f.read()
 
 
-@pytest.mark.timeout(5)
+@pytest.mark.timeout(15)
 @pytest.mark.parametrize("extension", [".gz", ".bz2", ".xz"])
 def test_truncated_iter_with(extension, create_truncated_file):
     truncated_file = create_truncated_file(extension)
